<?xml version="1.0" encoding="UTF-8"?>
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="fr" xml:id="htrianr">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>htrianr</refname>
    <refpurpose> triangularisation d'une matrice de polynômes  </refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Séquence d'appel</title>
    <synopsis>[Ar,U,rk]=htrianr(A)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Paramètres</title>
    <variablelist>
      <varlistentry>
        <term>A  </term>
        <listitem>
          <para>matrice de polynômes
</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>Ar  </term>
        <listitem>
          <para>matrice de polynômes
</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>U  </term>
        <listitem>
          <para>matrice unimodulaire de polynômes
</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>rk  </term>
        <listitem>
          <para>entier, le rang normal de <literal>A</literal>
</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>
    triangularisation de la matrice de polynômes <literal>A</literal>.
  </para>
    <para><literal>A</literal> de taille <literal>[m,n]</literal>, <literal>m &lt;= n</literal>.
  </para>
    <para>
      <literal>Ar=A*U</literal>
    </para>
  </refsection>
  <refsection>
    <title>Exemples</title>
    <programlisting role="example"><![CDATA[ 
x=poly(0,'x');
M=[x;x^2;2+x^3]*[1,x-2,x^4];
[Mu,U,rk]=htrianr(M)
det(U)
M*U(:,1:2)
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>Voir Aussi</title>
    <simplelist type="inline">
      <member>
        <link linkend="hrmt">hrmt</link>
      </member>
      <member>
        <link linkend="colcompr">colcompr</link>
      </member>
    </simplelist>
  </refsection>
</refentry>
